VERSION 5.00
Begin VB.Form frmTextInputTest 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "TextInputTest"
   ClientHeight    =   2355
   ClientLeft      =   2805
   ClientTop       =   1545
   ClientWidth     =   3225
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   157
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   215
   ShowInTaskbar   =   0   'False
   Begin VB.Frame Frame1 
      Caption         =   "Input Style:"
      Height          =   1410
      Left            =   180
      TabIndex        =   2
      Top             =   765
      Width           =   2850
      Begin VB.OptionButton optStyle 
         Caption         =   "N&umbers Only"
         Height          =   240
         Index           =   3
         Left            =   270
         TabIndex        =   5
         Top             =   990
         Width           =   2355
      End
      Begin VB.OptionButton optStyle 
         Caption         =   "&Lowercase"
         Height          =   240
         Index           =   2
         Left            =   270
         TabIndex        =   4
         Top             =   675
         Width           =   2355
      End
      Begin VB.OptionButton optStyle 
         Caption         =   "&Uppercase"
         Height          =   240
         Index           =   1
         Left            =   270
         TabIndex        =   3
         Top             =   360
         Width           =   2355
      End
   End
   Begin VB.TextBox txtTest 
      Height          =   285
      Left            =   180
      TabIndex        =   1
      Top             =   360
      Width           =   2850
   End
   Begin VB.Label lblHdr 
      AutoSize        =   -1  'True
      Caption         =   "&Text:"
      Height          =   195
      Left            =   180
      TabIndex        =   0
      Top             =   135
      Width           =   360
   End
End
Attribute VB_Name = "frmTextInputTest"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
DefInt A-Z

Private Declare Function SetWindowLong Lib "user32" Alias "SetWindowLongA" (ByVal hWnd As Long, ByVal nIndex As Long, ByVal dwNewLong As Long) As Long
Private Declare Function GetWindowLong Lib "user32" Alias "GetWindowLongA" (ByVal hWnd As Long, ByVal nIndex As Long) As Long

Private Const GWL_STYLE = (-16)

Enum TextInputStyles
 ES_UPPERCASE = &H8&
 ES_LOWERCASE = &H10&
 ES_NUMBER = &H2000&
End Enum
'---------------------------------------------------------
'Name        : SetTextInputStyle
'Created     : 17/10/1999 21:23
'---------------------------------------------------------
'Author      : Richard James Moss
'Organisation: Ariad Software
'---------------------------------------------------------
'Description : Sets the input style of a textbox control.
'---------------------------------------------------------
'Updates     :
'
'---------------------------------------------------------
'                 Ariad Procedure Builder Add-In 1.00.0027
Public Sub SetTextInputStyle(hWndTextControl As Long, InputStyle As TextInputStyles)
 Dim Style As Long
 Style = GetWindowLong(hWndTextControl, GWL_STYLE)
 Style = Style Or InputStyle
 SetWindowLong hWndTextControl, GWL_STYLE, Style
End Sub '(Public) Sub SetTextInputStyle ()

Private Sub optStyle_Click(Index As Integer)
 Select Case Index
  Case 1: SetTextInputStyle txtTest.hWnd, ES_UPPERCASE
  Case 2: SetTextInputStyle txtTest.hWnd, ES_LOWERCASE
  Case 3: SetTextInputStyle txtTest.hWnd, ES_NUMBER
 End Select
End Sub


